Subject: Re: bug#34341: 26.1; url-retrieve-synchronously returns blank buffer

From: Robert Pluim <[email-masked]>
Date: Sun, 12 May 2019 17:39:28 +0200

>>>>> On Sun, 12 May 2019 18:23:19 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]> Cc: [email-masked],
    >> [email-masked], [email-masked] Date: Sun, 12 May
    >> 2019 16:55:21 +0200
    >> 
    >> >>>>> On Sun, 12 May 2019 17:02:56 +0300, Eli Zaretskii
    >> <[email-masked]> said: >> That patch to src/gnutls.c fixes my
    >> testcase, which is imap >> over TLS1.3 to gmail. Itʼs pretty
    >> simple, I think it could go >> to emacs-26. Eli?
    >> 
    Eli> Didn't I already answer that?  If not, I guess you are now
    Eli> talking about some patch which I didn't see, so please show
    Eli> it.
    >> 
    >> >From 6d5f5670443f7adfbd6993173ad997ce25827775 Mon Sep 17
    >> 00:00:00 2001 From: Noam Postavsky <[email-masked]> Date:
    >> Mon, 6 May 2019 19:55:17 -0400 Subject: [PATCH] Handle
    >> GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)
    >> 
    >> * src/gnutls.c (emacs_gnutls_read): Similar to
    >> emacs_gnutls_write, when gnutls_record_recv returns
    >> GNUTLS_E_AGAIN set errno to EGAIN.

    Eli> I definitely said it was okay to push that one to emacs-26:

    Eli>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34341#34

So you did, I missed that one.

Robert